\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-3,-2.25) rectangle (3,2.25);
\fill[line width=2pt,color=G3,fill=G3] (-2.7320508075688776,2) -- (-2.732050807568877,0) -- (-2.7320508075688776,-2) -- (-1,-1) -- (1,-1) -- (2.732050807568877,0) -- (1,1) -- (-1,1) -- cycle;
\draw [line width=2pt] (-2.7320508075688776,2)-- (-2.732050807568877,0);
\draw [line width=2pt] (-2.612050807568878,1) -- (-2.852050807568878,1);
\draw [line width=2pt] (-2.732050807568877,0)-- (-2.7320508075688776,-2);
\draw [line width=2pt] (-2.612050807568878,-1) -- (-2.852050807568878,-1);
\draw [line width=2pt] (-2.7320508075688776,-2)-- (-1,-1);
\draw [line width=2pt] (-1.9693266739736612,-1.4210769515458674) -- (-1.8493266739736614,-1.6289230484541326);
\draw [line width=2pt] (-1.882724133595217,-1.3710769515458674) -- (-1.762724133595217,-1.5789230484541328);
\draw [line width=2pt] (-1,-1)-- (1,-1);
\draw [line width=2pt] (-0.05,-0.88) -- (-0.05,-1.12);
\draw [line width=2pt] (0.05,-0.88) -- (0.05,-1.12);
\draw [line width=2pt] (1,-1)-- (2.732050807568877,0);
\draw [line width=2pt] (1.8060254037844385,-0.39607695154586736) -- (1.9260254037844386,-0.6039230484541327);
\draw [line width=2pt] (2.732050807568877,0)-- (1,1);
\draw [line width=2pt] (1.8060254037844385,0.39607695154586736) -- (1.9260254037844386,0.6039230484541327);
\draw [line width=2pt] (1,1)-- (-1,1);
\draw [line width=2pt] (0.05,0.88) -- (0.05,1.12);
\draw [line width=2pt] (-0.05,0.88) -- (-0.05,1.12);
\draw [line width=2pt] (-1,1)-- (-2.7320508075688776,2);
\draw [line width=2pt] (-1.882724133595217,1.3710769515458674) -- (-1.762724133595217,1.5789230484541328);
\draw [line width=2pt] (-1.9693266739736612,1.4210769515458674) -- (-1.8493266739736614,1.6289230484541326);
\draw [line width=2pt] (-1,1)-- (-2.732050807568877,0);
\draw [line width=2pt] (-1.8060254037844385,0.39607695154586736) -- (-1.9260254037844386,0.6039230484541327);
\draw [line width=2pt] (-2.732050807568877,0)-- (-1,-1);
\draw [line width=2pt] (-1.8060254037844385,-0.39607695154586736) -- (-1.9260254037844386,-0.6039230484541327);
\draw [line width=2pt] (-1,-1)-- (-1,1);
\draw [line width=2pt] (1,1)-- (1,-1);
\end{tikzpicture}
\end{document}